<template>
  <section id="stylist-detail">
    <div class="details">
      <div class="img-container">
        <img :src="stylist.imagePath" />
      </div>
      <div class="info">
        <div class="link">
          <router-link to="/stylists">Stylists</router-link> /
          <a href="javascript:window.location.href=window.location.href">{{ stylist.name }}</a>
        </div>
        <h2>{{ stylist.name }}</h2>
        <div class="rating-container">
          <p>{{ stylist.avg }} stars</p>
          <el-rate v-model="stylist.avg" size="small" disabled text-color="#ff9900" />
          <p>({{ countRate }} ratings)</p>
        </div>
        <p>Number of bookings: {{ stylist._count.bills }}</p>
        <p>Phone: {{ stylist.phone }}</p>
        <p>Address: {{ stylist.address }}</p>
        <p>Birthday: {{ stylist.birthday.split('T')[0] }}</p>
        <span>
          {{ stylist.description }}
        </span>
      </div>
    </div>
  </section>

  <section id="stylist-rates">
    <div class="rate-container">
      <h2>Ratings</h2>
      <div class="list-rate">
        <div v-for="rate in stylist.rating" :key="rate.Id" class="rate-box">
          <div class="star-container">
            <p>{{ rate.rate }} stars</p>
            <el-rate v-model="rate.rate" size="small" disabled text-color="#ff9900" />
          </div>
          <div class="comment-container">{{ rate.comment }}</div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import StaffService from '@/services/StaffService';
export default {
  data() {
    return {
      rate: 4,
      stylist: {},
    };
  },
  beforeMount() {
    this.getStylistDetails(this.$route.params.id);
  },
  computed: {
    countRate() {
      return this.stylist.rating.length;
    },
  },
  methods: {
    async getStylistDetails(id) {
      const res = await StaffService.getStaff(id);
      if (res.status == '200') {
        this.stylist = res.data;
      }
    },
  },
};
</script>
